## org.gnu.gdk
Class PixbufError

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.PixbufError

public class PixbufError
extends Enum

Field Summary
`static PixbufError` `BAD_OPTION`
`static PixbufError` `CORRUPT_IMAGE`
`static PixbufError` `FAILED`
`static PixbufError` `INSUFFICIENT_MEMORY`
`static PixbufError` `UNKNOWN_TYPE`
`static PixbufError` `UNSUPPORTED_OPERATION`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`PixbufError` `and(PixbufError other)`
`static PixbufError` `intern(int value)`
`PixbufError` `or(PixbufError other)`
`boolean` `test(PixbufError other)`
`PixbufError` `xor(PixbufError other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CORRUPT_IMAGE

    public static final PixbufError CORRUPT_IMAGE

### INSUFFICIENT_MEMORY

    public static final PixbufError INSUFFICIENT_MEMORY

### BAD_OPTION

    public static final PixbufError BAD_OPTION

### UNKNOWN_TYPE

    public static final PixbufError UNKNOWN_TYPE

### UNSUPPORTED_OPERATION

    public static final PixbufError UNSUPPORTED_OPERATION

### FAILED

    public static final PixbufError FAILED

Method Detail

### intern

    public static PixbufError intern(int value)

### or

    public PixbufError or(PixbufError other)

### and

    public PixbufError and(PixbufError other)

### xor

    public PixbufError xor(PixbufError other)

### test

    public boolean test(PixbufError other)